// @generated by protobuf-ts 2.4.0 with parameter output_javascript,// @generated from protobuf file "Math/Math.proto" (package "math", syntax proto3),// tslint:disable
import { MathSvc } from "./Math";
import { stackIntercept } from "@protobuf-ts/runtime-rpc";
/**
 * @generated from protobuf service math.MathSvc
 */
export class MathSvcClient {
    constructor(_transport) {
        this._transport = _transport;
        this.typeName = MathSvc.typeName;
        this.methods = MathSvc.methods;
        this.options = MathSvc.options;
    }
    /**
     * @generated from protobuf rpc: Sum(math.SumArg) returns (math.SumRes);
     */
    sum(input, options) {
        const method = this.methods[0], opt = this._transport.mergeOptions(options);
        return stackIntercept("unary", this._transport, method, opt, input);
    }
    /**
     * @generated from protobuf rpc: Factorial(math.FactorialArg) returns (math.FactorialRes);
     */
    factorial(input, options) {
        const method = this.methods[1], opt = this._transport.mergeOptions(options);
        return stackIntercept("unary", this._transport, method, opt, input);
    }
}
